#if !defined(SQBEVIEW_H)
#define SQBEVIEW_H

#include <Rect.h>
#include <View.h>
#include <Region.h>

// the Squeak view, within the Squeak window
class SqueakView : public BView
	{
	void SaveMouseData(const BPoint where);	
public:
	SqueakView(BRect rect);
	virtual void Draw(BRect updateRect);
	virtual void MouseDown(BPoint where);
	virtual void MouseMoved(BPoint where, uint32 code, const BMessage *a_message);
	virtual void MouseUp(BPoint where);
	virtual void Pulse(void);
	};
	
extern int ButtonState;
extern bool CursorIsInView;
extern BLocker DeferedRegLock;
extern BRegion DeferedRegion;
extern bool GoAheadAndDraw;
extern bool HasPeekKey;
extern bool InDirectWindowDraw;
extern port_id KeyBuf;
extern int32 PeekKey;
extern BPoint SavedMousePosition;
extern BBitmap *Scr;
extern bool UsingDirectWindow;
extern bool WindowActive;

#endif
