#if !defined(SQBESHAREDWINDOW_H)
#define SQBESHAREDWINDOW_H

#include <Window.h>
#include <Rect.h>

#define DO_INVALIDATE 'sqDI'

extern int32 UsedTopSpace;  // the amount of space at the top of the window that BDirectWindow can't draw on (reserved for menu)

void ConvertModifiers(uint32 modifiers);
void CreateViews(BWindow *win, BRect &bounds);
bool GetSqueakDisplayInfo(int &depth, int &width, int &height, int &dispBitsIndex);
bool HandleDispatchMessage(BWindow *win, BMessage *msg, BHandler *target);
void HandleFrameResized(BWindow *win, float width, float height);
void HandleQuitRequested();

#endif
